List submissions
curl --request GET \
--url https://app.oneform.one/api/v1/forms/{form_id}/submissions \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.oneform.one/api/v1/forms/{form_id}/submissions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.oneform.one/api/v1/forms/{form_id}/submissions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"questions": [
{
"id": "q_123",
"name": "What is your name?",
"type": "SHORT_ANSWER",
"is_deleted": false
}
],
"submissions": [
{
"id": "sub_123",
"created_at": "2024-01-01T12:00:00Z",
"is_partial": false,
"responses": {
"q_1": "Answer 1",
"q_2": "Answer 2"
}
}
],
"page": 1,
"limit": 25,
"total": 100,
"has_next": true
}{
"error": "Forbidden to view partial submissions"
}{
"error": "Form not found"
}Forms
Listing submissions
GET
/
forms
/
{form_id}
/
submissions
List submissions
Authorizations
Enter your API key
Path Parameters
Form ID
Query Parameters
Page number (default: 1)
Items per page (default: 25)
Required range:
1 <= x <= 50Filter type (completed, partial, all)
Available options:
completed, partial, all Response
successful
Array of question objects for the form
Show child attributes
Show child attributes
Array of submission objects
Show child attributes
Show child attributes
Current page number
Example:
1
Number of items per page
Example:
25
Total number of submissions
Example:
100
Whether there are more pages available
Example:
true
⌘I